Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] testing/djvulibre: new aport

From: Andrew Hills <ahills_at_ednos.net>
Date: Sun, 7 Jun 2015 17:55:57 -0400

http://djvu.sourceforge.net
An open source implementation of DjVu
---
 testing/djvulibre/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/djvulibre/APKBUILD
diff --git a/testing/djvulibre/APKBUILD b/testing/djvulibre/APKBUILD
new file mode 100644
index 0000000..cebce43
--- /dev/null
+++ b/testing/djvulibre/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Andrew Hills <ahills_at_ednos.net>
+# Maintainer: Andrew Hills <ahills_at_ednos.net>
+pkgname=djvulibre
+pkgver=3.5.27
+pkgrel=0
+pkgdesc="An open source implementation of DjVu"
+url="http://djvu.sourceforge.net"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/djvu/djvulibre-$pkgver.tar.gz"
+
+_builddir="$srcdir"/djvulibre-$pkgver
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="aa4ed331f669f5a72e3c0d7f9196c4e6  djvulibre-3.5.27.tar.gz"
+sha256sums="e69668252565603875fb88500cde02bf93d12d48a3884e472696c896e81f505f  djvulibre-3.5.27.tar.gz"
+sha512sums="62abcaa2fe7edab536477929ba38b882453dab1a06e119a3f838b38d5c61f5d8c252e4769e6534582b826e49bcfb490513179580fab9c3afa84aa92053ccebee  djvulibre-3.5.27.tar.gz"
-- 
2.4.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jun 07 2015 - 17:55:57 GMT